> ## Documentation Index
> Fetch the complete documentation index at: https://doc.extole.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch update component settings

> Applies a batch of setting value updates across the component in one request.



## OpenAPI

````yaml /api-reference/management.json put /v1/components/{component_id}/settings
openapi: 3.0.1
info:
  description: >-
    Configuration endpoints for the Extole platform: campaigns, components,
    audiences, persons, rewards, reporting, integrations setup, and
    administrative tooling.
  title: Management API
  version: '1.0'
servers:
  - description: Production
    url: https://api.extole.io
security:
  - HEADER: []
  - QUERY: []
  - COOKIE: []
tags:
  - name: Audiences
  - name: Authentication
  - name: Batch Jobs
  - name: Blocks
  - name: Campaigns
  - name: Components
  - name: Components Settings
  - name: Domains
  - name: Email
  - name: Erasure
  - name: Event Streams
  - name: File Validation Monitors
  - name: Optout
  - name: Profiles
  - name: Promotion Links
  - name: Report Schedules
  - name: Report Types
  - name: Reports
  - name: Reward Suppliers
  - name: Security Keys
  - name: Settings
  - name: User Notifications
  - name: User Subscriptions
  - name: Users
  - name: Webhooks
paths:
  /v1/components/{component_id}/settings:
    put:
      tags:
        - Components Settings
      summary: Batch update component settings
      description: >-
        Applies a batch of setting value updates across the component in one
        request.
      operationId: batchUpdateComponentSettings
      parameters:
        - in: path
          name: component_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            example:
              settings:
                settings_key:
                  description: description
                  display_name: display_name
                  name: name
                  priority: '10'
                  source: INHERITED
                  tags:
                    - tag
                  type: ADMIN_ICON
                  values:
                    values_key: {}
            schema:
              $ref: '#/components/schemas/ComponentSettingBatchUpdateRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/CampaignComponentSettingResponse'
                type: array
          description: Successful response
        '400':
          content:
            application/json:
              examples:
                binding_error:
                  $ref: '#/components/examples/binding_error'
                campaign_build_failed:
                  $ref: '#/components/examples/campaign_build_failed'
                campaign_component_not_found:
                  $ref: '#/components/examples/campaign_component_not_found'
                campaign_concurrent_update:
                  $ref: '#/components/examples/campaign_concurrent_update'
                campaign_has_pending_changes:
                  $ref: '#/components/examples/campaign_has_pending_changes'
                campaign_locked:
                  $ref: '#/components/examples/campaign_locked'
                campaign_stale_version:
                  $ref: '#/components/examples/campaign_stale_version'
                campaign_version_malformed:
                  $ref: '#/components/examples/campaign_version_malformed'
                component_asset_content_length_out_of_range:
                  $ref: >-
                    #/components/examples/component_asset_content_length_out_of_range
                component_asset_content_missing:
                  $ref: '#/components/examples/component_asset_content_missing'
                component_asset_content_upload_error:
                  $ref: '#/components/examples/component_asset_content_upload_error'
                component_asset_description_length_out_of_range:
                  $ref: >-
                    #/components/examples/component_asset_description_length_out_of_range
                component_asset_filename_contains_illegal_character:
                  $ref: >-
                    #/components/examples/component_asset_filename_contains_illegal_character
                component_asset_filename_length_out_of_range:
                  $ref: >-
                    #/components/examples/component_asset_filename_length_out_of_range
                component_asset_filename_missing:
                  $ref: '#/components/examples/component_asset_filename_missing'
                component_asset_name_contains_illegal_character:
                  $ref: >-
                    #/components/examples/component_asset_name_contains_illegal_character
                component_asset_name_duplicated:
                  $ref: '#/components/examples/component_asset_name_duplicated'
                component_asset_name_length_out_of_range:
                  $ref: >-
                    #/components/examples/component_asset_name_length_out_of_range
                component_asset_name_missing:
                  $ref: '#/components/examples/component_asset_name_missing'
                component_id_not_accessible:
                  $ref: '#/components/examples/component_id_not_accessible'
                component_not_found:
                  $ref: '#/components/examples/component_not_found'
                component_owner_not_supported:
                  $ref: '#/components/examples/component_owner_not_supported'
                component_state_not_supported:
                  $ref: '#/components/examples/component_state_not_supported'
                controller_state_misconfiguration:
                  $ref: '#/components/examples/controller_state_misconfiguration'
                date_invalid:
                  $ref: '#/components/examples/date_invalid'
                default_key_not_allowed:
                  $ref: '#/components/examples/default_key_not_allowed'
                display_name_has_illegal_character:
                  $ref: '#/components/examples/display_name_has_illegal_character'
                expression_invalid_syntax:
                  $ref: '#/components/examples/expression_invalid_syntax'
                invalid_campaign_id:
                  $ref: '#/components/examples/invalid_campaign_id'
                invalid_campaign_state:
                  $ref: '#/components/examples/invalid_campaign_state'
                invalid_campaign_version:
                  $ref: '#/components/examples/invalid_campaign_version'
                invalid_json:
                  $ref: '#/components/examples/invalid_json'
                invalid_parameter:
                  $ref: '#/components/examples/invalid_parameter'
                invalid_setting_filter:
                  $ref: '#/components/examples/invalid_setting_filter'
                invalid_translatable_value:
                  $ref: '#/components/examples/invalid_translatable_value'
                lock_missing_lock_types:
                  $ref: '#/components/examples/lock_missing_lock_types'
                missing_request_body:
                  $ref: '#/components/examples/missing_request_body'
                multiple_components_installed_into_single_socket:
                  $ref: >-
                    #/components/examples/multiple_components_installed_into_single_socket
                non_translatable_variable_can_not_be_updated:
                  $ref: >-
                    #/components/examples/non_translatable_variable_can_not_be_updated
                rebuild_campaigns_build_failed:
                  $ref: '#/components/examples/rebuild_campaigns_build_failed'
                reward_supplier_id_list_invalid_configuration:
                  $ref: >-
                    #/components/examples/reward_supplier_id_list_invalid_configuration
                setting_batch_update_missing_request:
                  $ref: '#/components/examples/setting_batch_update_missing_request'
                setting_display_name_length_out_of_range:
                  $ref: >-
                    #/components/examples/setting_display_name_length_out_of_range
                setting_filter_component_facet_name_missing:
                  $ref: >-
                    #/components/examples/setting_filter_component_facet_name_missing
                setting_filter_component_facet_value_missing:
                  $ref: >-
                    #/components/examples/setting_filter_component_facet_value_missing
                setting_filter_component_type_missing:
                  $ref: '#/components/examples/setting_filter_component_type_missing'
                setting_filter_expression_evaluation_failed:
                  $ref: >-
                    #/components/examples/setting_filter_expression_evaluation_failed
                setting_filter_invalid_component_facet:
                  $ref: '#/components/examples/setting_filter_invalid_component_facet'
                setting_filter_invalid_component_type:
                  $ref: '#/components/examples/setting_filter_invalid_component_type'
                setting_name_duplicated:
                  $ref: '#/components/examples/setting_name_duplicated'
                setting_name_length_out_of_range:
                  $ref: '#/components/examples/setting_name_length_out_of_range'
                setting_name_missing:
                  $ref: '#/components/examples/setting_name_missing'
                setting_name_reserved:
                  $ref: '#/components/examples/setting_name_reserved'
                setting_not_found:
                  $ref: '#/components/examples/setting_not_found'
                setting_validation_exception:
                  $ref: '#/components/examples/setting_validation_exception'
                settings_build_failed:
                  $ref: '#/components/examples/settings_build_failed'
                socket_missing_required_parameter:
                  $ref: '#/components/examples/socket_missing_required_parameter'
                socket_not_found:
                  $ref: '#/components/examples/socket_not_found'
                tag_length_out_of_range:
                  $ref: '#/components/examples/tag_length_out_of_range'
                unavailable_referenced_variable:
                  $ref: '#/components/examples/unavailable_referenced_variable'
                unknown_source_clients:
                  $ref: '#/components/examples/unknown_source_clients'
                unlock_missing_lock_types:
                  $ref: '#/components/examples/unlock_missing_lock_types'
                variable_batch_update_has_duplicated_variable_name:
                  $ref: >-
                    #/components/examples/variable_batch_update_has_duplicated_variable_name
                variable_batch_update_invalid_type:
                  $ref: '#/components/examples/variable_batch_update_invalid_type'
                variable_batch_update_missing_type:
                  $ref: '#/components/examples/variable_batch_update_missing_type'
                variable_circular_reference:
                  $ref: '#/components/examples/variable_circular_reference'
                variable_description_length_out_of_range:
                  $ref: >-
                    #/components/examples/variable_description_length_out_of_range
                variable_value_invalid_type:
                  $ref: '#/components/examples/variable_value_invalid_type'
                variable_value_key_length_out_of_range:
                  $ref: '#/components/examples/variable_value_key_length_out_of_range'
                variable_value_missing:
                  $ref: '#/components/examples/variable_value_missing'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              examples:
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unauthorized
        '402':
          content:
            application/json:
              examples:
                payment_required:
                  $ref: '#/components/examples/payment_required'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Payment Required
        '403':
          content:
            application/json:
              examples:
                access_denied:
                  $ref: '#/components/examples/access_denied'
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
                missing_access_token:
                  $ref: '#/components/examples/missing_access_token'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Forbidden
        '415':
          content:
            application/json:
              examples:
                unsupported_media_type:
                  $ref: '#/components/examples/unsupported_media_type'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unsupported Media Type
        '429':
          content:
            application/json:
              examples:
                too_many_requests:
                  $ref: '#/components/examples/too_many_requests'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Too Many Requests
components:
  schemas:
    ComponentSettingBatchUpdateRequest:
      description: Body of a `PUT /v1/components/{component_id}/settings` request.
      properties:
        settings:
          additionalProperties:
            $ref: '#/components/schemas/CampaignComponentSettingUpdateRequest'
          type: object
      required:
        - settings
      type: object
    CampaignComponentSettingResponse:
      discriminator:
        mapping:
          ADMIN_ICON:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsAdminIcon'
          AUDIENCE_ID:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsAudienceId'
          AUDIENCE_ID_LIST:
            $ref: >-
              #/components/schemas/CampaignComponentVariableResponseAsAudienceIdList
          BOOLEAN:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsBoolean'
          BROWSER_SIDE_JAVASCRIPT:
            $ref: >-
              #/components/schemas/CampaignComponentVariableResponseAsBrowserSideJavascript
          CLIENT_DOMAIN_ID_LIST:
            $ref: >-
              #/components/schemas/CampaignComponentVariableResponseAsClientDomainIdList
          CLIENT_KEY:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsClientKey'
          CLIENT_KEY_FLOW:
            $ref: >-
              #/components/schemas/CampaignComponentClientKeyFlowVariableResponse
          COLOR:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsColor'
          COMPONENT_ID:
            $ref: '#/components/schemas/CampaignComponentComponentIdVariableResponse'
          COMPONENT_SETTING_LOOKUP:
            $ref: >-
              #/components/schemas/CampaignComponentComponentSettingLookupVariableResponse
          CSS:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsCss'
          DELAY:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsDelay'
          DELAY_LIST:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsDelayList'
          ENUM:
            $ref: '#/components/schemas/CampaignComponentEnumVariableResponse'
          ENUM_LIST:
            $ref: '#/components/schemas/CampaignComponentEnumListVariableResponse'
          EXTOLE_CLIENT_KEY:
            $ref: >-
              #/components/schemas/CampaignComponentVariableResponseAsExtoleClientKey
          FONT:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsFont'
          GLOB_COMPONENT_PATH:
            $ref: >-
              #/components/schemas/CampaignComponentVariableResponseAsGlobComponentPath
          HTML:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsHtml'
          IMAGE:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsImage'
          INTEGER:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsInteger'
          INTEGER_LIST:
            $ref: >-
              #/components/schemas/CampaignComponentVariableResponseAsIntegerList
          JSON:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsJson'
          MULTI_SOCKET:
            $ref: '#/components/schemas/CampaignComponentSocketResponseAsMultiSocket'
          PARTNER_ENUM:
            $ref: '#/components/schemas/CampaignComponentPartnerEnumVariableResponse'
          PARTNER_ENUM_LIST:
            $ref: >-
              #/components/schemas/CampaignComponentPartnerEnumListVariableResponse
          PERSON_KEY_NAME:
            $ref: >-
              #/components/schemas/CampaignComponentVariableResponseAsPersonKeyName
          REWARD_SUPPLIER_ID:
            $ref: >-
              #/components/schemas/CampaignComponentVariableResponseAsRewardSupplierId
          REWARD_SUPPLIER_ID_LIST:
            $ref: >-
              #/components/schemas/CampaignComponentRewardSupplierIdListVariableResponse
          SOCKET:
            $ref: '#/components/schemas/CampaignComponentSocketResponseAsSocket'
          STRING:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsString'
          STRING_LIST:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsStringList'
          STRING_MAP:
            $ref: '#/components/schemas/CampaignComponentStringMapVariableResponse'
          URL:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsUrl'
          WEBHOOK_ID:
            $ref: '#/components/schemas/CampaignComponentVariableResponseAsWebhookId'
        propertyName: type
      oneOf:
        - title: ADMIN_ICON
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableResponseAsAdminIcon
        - title: AUDIENCE_ID
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableResponseAsAudienceId
        - title: AUDIENCE_ID_LIST
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableResponseAsAudienceIdList
        - title: BOOLEAN
          allOf:
            - $ref: '#/components/schemas/CampaignComponentVariableResponseAsBoolean'
        - title: BROWSER_SIDE_JAVASCRIPT
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableResponseAsBrowserSideJavascript
        - title: CLIENT_DOMAIN_ID_LIST
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableResponseAsClientDomainIdList
        - title: CLIENT_KEY
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableResponseAsClientKey
        - title: CLIENT_KEY_FLOW
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentClientKeyFlowVariableResponse
        - title: COLOR
          allOf:
            - $ref: '#/components/schemas/CampaignComponentVariableResponseAsColor'
        - title: COMPONENT_ID
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentComponentIdVariableResponse
        - title: COMPONENT_SETTING_LOOKUP
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentComponentSettingLookupVariableResponse
        - title: CSS
          allOf:
            - $ref: '#/components/schemas/CampaignComponentVariableResponseAsCss'
        - title: DELAY
          allOf:
            - $ref: '#/components/schemas/CampaignComponentVariableResponseAsDelay'
        - title: DELAY_LIST
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableResponseAsDelayList
        - title: ENUM
          allOf:
            - $ref: '#/components/schemas/CampaignComponentEnumVariableResponse'
        - title: ENUM_LIST
          allOf:
            - $ref: '#/components/schemas/CampaignComponentEnumListVariableResponse'
        - title: EXTOLE_CLIENT_KEY
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableResponseAsExtoleClientKey
        - title: FONT
          allOf:
            - $ref: '#/components/schemas/CampaignComponentVariableResponseAsFont'
        - title: GLOB_COMPONENT_PATH
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableResponseAsGlobComponentPath
        - title: HTML
          allOf:
            - $ref: '#/components/schemas/CampaignComponentVariableResponseAsHtml'
        - title: IMAGE
          allOf:
            - $ref: '#/components/schemas/CampaignComponentVariableResponseAsImage'
        - title: INTEGER
          allOf:
            - $ref: '#/components/schemas/CampaignComponentVariableResponseAsInteger'
        - title: INTEGER_LIST
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableResponseAsIntegerList
        - title: JSON
          allOf:
            - $ref: '#/components/schemas/CampaignComponentVariableResponseAsJson'
        - title: MULTI_SOCKET
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentSocketResponseAsMultiSocket
        - title: PARTNER_ENUM
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentPartnerEnumVariableResponse
        - title: PARTNER_ENUM_LIST
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentPartnerEnumListVariableResponse
        - title: PERSON_KEY_NAME
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableResponseAsPersonKeyName
        - title: REWARD_SUPPLIER_ID
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableResponseAsRewardSupplierId
        - title: REWARD_SUPPLIER_ID_LIST
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentRewardSupplierIdListVariableResponse
        - title: SOCKET
          allOf:
            - $ref: '#/components/schemas/CampaignComponentSocketResponseAsSocket'
        - title: STRING
          allOf:
            - $ref: '#/components/schemas/CampaignComponentVariableResponseAsString'
        - title: STRING_LIST
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableResponseAsStringList
        - title: STRING_MAP
          allOf:
            - $ref: '#/components/schemas/CampaignComponentStringMapVariableResponse'
        - title: URL
          allOf:
            - $ref: '#/components/schemas/CampaignComponentVariableResponseAsUrl'
        - title: WEBHOOK_ID
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableResponseAsWebhookId
      required:
        - description
        - display_name
        - name
        - priority
        - tags
        - type
    RestExceptionResponse:
      description: Represents the API error response
      properties:
        code:
          description: Specific error code for this error type, documented per endpoint
          type: string
        http_status_code:
          description: >-
            HTTP status code that was returned with this error, useful if client
            get response code
          format: int32
          type: integer
        message:
          description: User readable English description of the error
          type: string
        parameters:
          additionalProperties:
            description: >-
              Attributes related to the error, varies be error code, documented
              per endpoint
            type: object
          description: >-
            Attributes related to the error, varies be error code, documented
            per endpoint
          type: object
        unique_id:
          description: >-
            Unique id associated with this error, useful for discussions with
            Extole
          type: string
      required:
        - code
        - http_status_code
        - message
        - parameters
        - unique_id
      type: object
    CampaignComponentSettingUpdateRequest:
      description: >-
        Body of a `PUT
        /v2/campaigns/{campaign_id}{version:(/version/.+)?}/components/{component_id}/variables/{setting_name}`
        request.
      discriminator:
        mapping:
          ADMIN_ICON:
            $ref: >-
              #/components/schemas/CampaignComponentVariableUpdateRequestAsAdminIcon
          AUDIENCE_ID:
            $ref: >-
              #/components/schemas/CampaignComponentVariableUpdateRequestAsAudienceId
          AUDIENCE_ID_LIST:
            $ref: >-
              #/components/schemas/CampaignComponentVariableUpdateRequestAsAudienceIdList
          BOOLEAN:
            $ref: >-
              #/components/schemas/CampaignComponentVariableUpdateRequestAsBoolean
          BROWSER_SIDE_JAVASCRIPT:
            $ref: >-
              #/components/schemas/CampaignComponentVariableUpdateRequestAsBrowserSideJavascript
          CLIENT_DOMAIN_ID_LIST:
            $ref: >-
              #/components/schemas/CampaignComponentVariableUpdateRequestAsClientDomainIdList
          CLIENT_KEY:
            $ref: >-
              #/components/schemas/CampaignComponentVariableUpdateRequestAsClientKey
          CLIENT_KEY_FLOW:
            $ref: >-
              #/components/schemas/CampaignComponentClientKeyFlowVariableUpdateRequest
          COLOR:
            $ref: '#/components/schemas/CampaignComponentVariableUpdateRequestAsColor'
          COMPONENT_ID:
            $ref: >-
              #/components/schemas/CampaignComponentComponentIdVariableUpdateRequest
          COMPONENT_SETTING_LOOKUP:
            $ref: >-
              #/components/schemas/CampaignComponentComponentSettingLookupVariableUpdateRequest
          CSS:
            $ref: '#/components/schemas/CampaignComponentVariableUpdateRequestAsCss'
          DELAY:
            $ref: '#/components/schemas/CampaignComponentVariableUpdateRequestAsDelay'
          DELAY_LIST:
            $ref: >-
              #/components/schemas/CampaignComponentVariableUpdateRequestAsDelayList
          ENUM:
            $ref: '#/components/schemas/CampaignComponentEnumVariableUpdateRequest'
          ENUM_LIST:
            $ref: >-
              #/components/schemas/CampaignComponentEnumListVariableUpdateRequest
          EXTOLE_CLIENT_KEY:
            $ref: >-
              #/components/schemas/CampaignComponentVariableUpdateRequestAsExtoleClientKey
          FONT:
            $ref: '#/components/schemas/CampaignComponentVariableUpdateRequestAsFont'
          GLOB_COMPONENT_PATH:
            $ref: >-
              #/components/schemas/CampaignComponentVariableUpdateRequestAsGlobComponentPath
          HTML:
            $ref: '#/components/schemas/CampaignComponentVariableUpdateRequestAsHtml'
          IMAGE:
            $ref: '#/components/schemas/CampaignComponentVariableUpdateRequestAsImage'
          INTEGER:
            $ref: >-
              #/components/schemas/CampaignComponentVariableUpdateRequestAsInteger
          INTEGER_LIST:
            $ref: >-
              #/components/schemas/CampaignComponentVariableUpdateRequestAsIntegerList
          JSON:
            $ref: '#/components/schemas/CampaignComponentVariableUpdateRequestAsJson'
          MULTI_SOCKET:
            $ref: >-
              #/components/schemas/CampaignComponentSocketUpdateRequestAsMultiSocket
          PARTNER_ENUM:
            $ref: >-
              #/components/schemas/CampaignComponentPartnerEnumVariableUpdateRequest
          PARTNER_ENUM_LIST:
            $ref: >-
              #/components/schemas/CampaignComponentPartnerEnumListVariableUpdateRequest
          PERSON_KEY_NAME:
            $ref: >-
              #/components/schemas/CampaignComponentVariableUpdateRequestAsPersonKeyName
          REWARD_SUPPLIER_ID:
            $ref: >-
              #/components/schemas/CampaignComponentVariableUpdateRequestAsRewardSupplierId
          REWARD_SUPPLIER_ID_LIST:
            $ref: >-
              #/components/schemas/CampaignComponentRewardSupplierIdListVariableUpdateRequest
          SOCKET:
            $ref: '#/components/schemas/CampaignComponentSocketUpdateRequestAsSocket'
          STRING:
            $ref: >-
              #/components/schemas/CampaignComponentVariableUpdateRequestAsString
          STRING_LIST:
            $ref: >-
              #/components/schemas/CampaignComponentVariableUpdateRequestAsStringList
          STRING_MAP:
            $ref: >-
              #/components/schemas/CampaignComponentStringMapVariableUpdateRequest
          URL:
            $ref: '#/components/schemas/CampaignComponentVariableUpdateRequestAsUrl'
          WEBHOOK_ID:
            $ref: >-
              #/components/schemas/CampaignComponentVariableUpdateRequestAsWebhookId
        propertyName: type
      oneOf:
        - title: ADMIN_ICON
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableUpdateRequestAsAdminIcon
        - title: AUDIENCE_ID
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableUpdateRequestAsAudienceId
        - title: AUDIENCE_ID_LIST
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableUpdateRequestAsAudienceIdList
        - title: BOOLEAN
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableUpdateRequestAsBoolean
        - title: BROWSER_SIDE_JAVASCRIPT
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableUpdateRequestAsBrowserSideJavascript
        - title: CLIENT_DOMAIN_ID_LIST
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableUpdateRequestAsClientDomainIdList
        - title: CLIENT_KEY
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableUpdateRequestAsClientKey
        - title: CLIENT_KEY_FLOW
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentClientKeyFlowVariableUpdateRequest
        - title: COLOR
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableUpdateRequestAsColor
        - title: COMPONENT_ID
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentComponentIdVariableUpdateRequest
        - title: COMPONENT_SETTING_LOOKUP
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentComponentSettingLookupVariableUpdateRequest
        - title: CSS
          allOf:
            - $ref: '#/components/schemas/CampaignComponentVariableUpdateRequestAsCss'
        - title: DELAY
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableUpdateRequestAsDelay
        - title: DELAY_LIST
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableUpdateRequestAsDelayList
        - title: ENUM
          allOf:
            - $ref: '#/components/schemas/CampaignComponentEnumVariableUpdateRequest'
        - title: ENUM_LIST
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentEnumListVariableUpdateRequest
        - title: EXTOLE_CLIENT_KEY
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableUpdateRequestAsExtoleClientKey
        - title: FONT
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableUpdateRequestAsFont
        - title: GLOB_COMPONENT_PATH
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableUpdateRequestAsGlobComponentPath
        - title: HTML
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableUpdateRequestAsHtml
        - title: IMAGE
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableUpdateRequestAsImage
        - title: INTEGER
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableUpdateRequestAsInteger
        - title: INTEGER_LIST
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableUpdateRequestAsIntegerList
        - title: JSON
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableUpdateRequestAsJson
        - title: MULTI_SOCKET
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentSocketUpdateRequestAsMultiSocket
        - title: PARTNER_ENUM
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentPartnerEnumVariableUpdateRequest
        - title: PARTNER_ENUM_LIST
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentPartnerEnumListVariableUpdateRequest
        - title: PERSON_KEY_NAME
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableUpdateRequestAsPersonKeyName
        - title: REWARD_SUPPLIER_ID
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableUpdateRequestAsRewardSupplierId
        - title: REWARD_SUPPLIER_ID_LIST
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentRewardSupplierIdListVariableUpdateRequest
        - title: SOCKET
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentSocketUpdateRequestAsSocket
        - title: STRING
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableUpdateRequestAsString
        - title: STRING_LIST
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableUpdateRequestAsStringList
        - title: STRING_MAP
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentStringMapVariableUpdateRequest
        - title: URL
          allOf:
            - $ref: '#/components/schemas/CampaignComponentVariableUpdateRequestAsUrl'
        - title: WEBHOOK_ID
          allOf:
            - $ref: >-
                #/components/schemas/CampaignComponentVariableUpdateRequestAsWebhookId
      required:
        - type
    CampaignComponentVariableResponseAsAdminIcon:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - ADMIN_ICON
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: ADMIN_ICON
    CampaignComponentVariableResponseAsAudienceId:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - AUDIENCE_ID
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: AUDIENCE_ID
    CampaignComponentVariableResponseAsAudienceIdList:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - AUDIENCE_ID_LIST
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: AUDIENCE_ID_LIST
    CampaignComponentVariableResponseAsBoolean:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - BOOLEAN
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: BOOLEAN
    CampaignComponentVariableResponseAsBrowserSideJavascript:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - BROWSER_SIDE_JAVASCRIPT
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: BROWSER_SIDE_JAVASCRIPT
    CampaignComponentVariableResponseAsClientDomainIdList:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - CLIENT_DOMAIN_ID_LIST
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: CLIENT_DOMAIN_ID_LIST
    CampaignComponentVariableResponseAsClientKey:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - CLIENT_KEY
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: CLIENT_KEY
    CampaignComponentClientKeyFlowVariableResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            authorization_url:
              type: string
            client_secret_key_id:
              type: string
            redirect_url:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - CLIENT_KEY_FLOW
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      description: >-
        Stored campaign component client key flow variable definition. Field
        `description` is unevaluated and appears in buildtime-evaluatable form.
      required:
        - authorization_url
        - client_secret_key_id
        - description
        - display_name
        - name
        - priority
        - redirect_url
        - source
        - tags
        - type
        - values
      type: object
      title: CLIENT_KEY_FLOW
    CampaignComponentVariableResponseAsColor:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - COLOR
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: COLOR
    CampaignComponentComponentIdVariableResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            filter:
              $ref: '#/components/schemas/ComponentIdFilterResponse'
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - COMPONENT_ID
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      description: >-
        Stored campaign component component id variable definition. Field
        `description` is unevaluated and appears in buildtime-evaluatable form.
      required:
        - description
        - display_name
        - filter
        - name
        - priority
        - source
        - tags
        - type
        - values
      type: object
      title: COMPONENT_ID
    CampaignComponentComponentSettingLookupVariableResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            capture_settings:
              items:
                type: string
              type: array
            captured_setting_values_description:
              $ref: >-
                #/components/schemas/CapturedSettingValuesDescriptionInCampaignComponentComponentSettingLookupVariableResponse
            filters:
              items:
                $ref: '#/components/schemas/SettingFilterResponse'
              type: array
            matching_filters:
              items:
                $ref: '#/components/schemas/SettingFilterResponse'
              type: array
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - COMPONENT_SETTING_LOOKUP
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      description: >-
        Stored campaign component component setting lookup variable definition.
        Fields `description` and `captured_setting_values_description` are
        unevaluated and appear in buildtime-evaluatable form.
      required:
        - capture_settings
        - captured_setting_values_description
        - description
        - display_name
        - filters
        - matching_filters
        - name
        - priority
        - source
        - tags
        - type
        - values
      type: object
      title: COMPONENT_SETTING_LOOKUP
    CampaignComponentVariableResponseAsCss:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - CSS
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: CSS
    CampaignComponentVariableResponseAsDelay:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - DELAY
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: DELAY
    CampaignComponentVariableResponseAsDelayList:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - DELAY_LIST
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: DELAY_LIST
    CampaignComponentEnumVariableResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            allowed_values:
              items:
                type: string
              type: array
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - ENUM
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      description: >-
        Stored campaign component enum variable definition. Field `description`
        is unevaluated and appears in buildtime-evaluatable form.
      required:
        - allowed_values
        - description
        - display_name
        - name
        - priority
        - source
        - tags
        - type
        - values
      type: object
      title: ENUM
    CampaignComponentEnumListVariableResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            allowed_values:
              items:
                type: string
              type: array
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - ENUM_LIST
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      description: >-
        Stored campaign component enum list variable definition. Field
        `description` is unevaluated and appears in buildtime-evaluatable form.
      required:
        - allowed_values
        - description
        - display_name
        - name
        - priority
        - source
        - tags
        - type
        - values
      type: object
      title: ENUM_LIST
    CampaignComponentVariableResponseAsExtoleClientKey:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - EXTOLE_CLIENT_KEY
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: EXTOLE_CLIENT_KEY
    CampaignComponentVariableResponseAsFont:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - FONT
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: FONT
    CampaignComponentVariableResponseAsGlobComponentPath:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - GLOB_COMPONENT_PATH
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: GLOB_COMPONENT_PATH
    CampaignComponentVariableResponseAsHtml:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - HTML
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: HTML
    CampaignComponentVariableResponseAsImage:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - IMAGE
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: IMAGE
    CampaignComponentVariableResponseAsInteger:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - INTEGER
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: INTEGER
    CampaignComponentVariableResponseAsIntegerList:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - INTEGER_LIST
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: INTEGER_LIST
    CampaignComponentVariableResponseAsJson:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - JSON
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: JSON
    CampaignComponentSocketResponseAsMultiSocket:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            filters:
              items:
                $ref: '#/components/schemas/SettingFilterResponse'
              type: array
            parameters:
              items:
                $ref: '#/components/schemas/CampaignComponentVariableResponse'
              type: array
            socketed_component_ids:
              items:
                type: string
              type: array
            type:
              enum:
                - MULTI_SOCKET
              type: string
          type: object
      description: >-
        Stored campaign component socket definition. Field `description` is
        unevaluated and appears in buildtime-evaluatable form.
      required:
        - description
        - display_name
        - filters
        - name
        - parameters
        - priority
        - socketed_component_ids
        - tags
        - type
      type: object
      title: MULTI_SOCKET
    CampaignComponentPartnerEnumVariableResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - PARTNER_ENUM
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
            webhook_id:
              $ref: >-
                #/components/schemas/WebhookIdInCampaignComponentPartnerEnumVariableResponse
            options:
              items:
                $ref: '#/components/schemas/PartnerEnumListVariableOptionResponse'
              type: array
          type: object
      description: >-
        Stored campaign component partner enum variable definition. Fields
        `description` and `webhook_id` are unevaluated and appear in
        buildtime-evaluatable form.
      required:
        - description
        - display_name
        - name
        - options
        - priority
        - source
        - tags
        - type
        - values
        - webhook_id
      type: object
      title: PARTNER_ENUM
    CampaignComponentPartnerEnumListVariableResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - PARTNER_ENUM_LIST
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
            webhook_id:
              $ref: >-
                #/components/schemas/WebhookIdInCampaignComponentPartnerEnumListVariableResponse
            options:
              items:
                $ref: '#/components/schemas/PartnerEnumListVariableOptionResponse'
              type: array
          type: object
      description: >-
        Stored campaign component partner enum list variable definition. Fields
        `description` and `webhook_id` are unevaluated and appear in
        buildtime-evaluatable form.
      required:
        - description
        - display_name
        - name
        - options
        - priority
        - source
        - tags
        - type
        - values
        - webhook_id
      type: object
      title: PARTNER_ENUM_LIST
    CampaignComponentVariableResponseAsPersonKeyName:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - PERSON_KEY_NAME
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: PERSON_KEY_NAME
    CampaignComponentVariableResponseAsRewardSupplierId:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - REWARD_SUPPLIER_ID
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: REWARD_SUPPLIER_ID
    CampaignComponentRewardSupplierIdListVariableResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            allowed_reward_supplier_ids:
              $ref: >-
                #/components/schemas/AllowedRewardSupplierIdsInCampaignComponentRewardSupplierIdListVariableResponse
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - REWARD_SUPPLIER_ID_LIST
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      description: >-
        Stored campaign component reward supplier id list variable definition.
        Fields `description` and `allowed_reward_supplier_ids` are unevaluated
        and appear in buildtime-evaluatable form.
      required:
        - allowed_reward_supplier_ids
        - description
        - display_name
        - name
        - priority
        - source
        - tags
        - type
        - values
      type: object
      title: REWARD_SUPPLIER_ID_LIST
    CampaignComponentSocketResponseAsSocket:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            filters:
              items:
                $ref: '#/components/schemas/SettingFilterResponse'
              type: array
            parameters:
              items:
                $ref: '#/components/schemas/CampaignComponentVariableResponse'
              type: array
            socketed_component_ids:
              items:
                type: string
              type: array
            type:
              enum:
                - SOCKET
              type: string
          type: object
      description: >-
        Stored campaign component socket definition. Field `description` is
        unevaluated and appears in buildtime-evaluatable form.
      required:
        - description
        - display_name
        - filters
        - name
        - parameters
        - priority
        - socketed_component_ids
        - tags
        - type
      type: object
      title: SOCKET
    CampaignComponentVariableResponseAsString:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - STRING
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: STRING
    CampaignComponentVariableResponseAsStringList:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - STRING_LIST
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: STRING_LIST
    CampaignComponentStringMapVariableResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            allowed_keys:
              items:
                type: string
              type: array
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - STRING_MAP
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      description: >-
        Stored campaign component string map variable definition. Field
        `description` is unevaluated and appears in buildtime-evaluatable form.
      required:
        - allowed_keys
        - description
        - display_name
        - name
        - priority
        - source
        - tags
        - type
        - values
      type: object
      title: STRING_MAP
    CampaignComponentVariableResponseAsUrl:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - URL
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: URL
    CampaignComponentVariableResponseAsWebhookId:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingResponseBase'
        - properties:
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - WEBHOOK_ID
              type: string
            values:
              additionalProperties: true
              description: >-
                Open map of setting values keyed by value key. There is no fixed
                or maximum number of keys. Any string key may be present; each
                value uses the same shape for this setting's `type`. The
                properties listed here are common examples only and are not
                required.
              properties:
                default:
                  $ref: >-
                    #/components/schemas/DefaultInComponentSettingVariableValuesOpenApiDocumentation
                en:
                  $ref: >-
                    #/components/schemas/EnInComponentSettingVariableValuesOpenApiDocumentation
              type: object
          type: object
      type: object
      title: WEBHOOK_ID
    CampaignComponentVariableUpdateRequestAsAdminIcon:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingUpdateRequestBase'
        - properties:
            description:
              $ref: >-
                #/components/schemas/DescriptionInCampaignComponentVariableUpdateRequestAsAdminIcon
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - ADMIN_ICON
              type: string
            values:
              $ref: '#/components/schemas/ComponentSettingVariableValuesAsAdminIcon'
          type: object
      type: object
      title: ADMIN_ICON
    CampaignComponentVariableUpdateRequestAsAudienceId:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingUpdateRequestBase'
        - properties:
            description:
              $ref: >-
                #/components/schemas/DescriptionInCampaignComponentVariableUpdateRequestAsAudienceId
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - AUDIENCE_ID
              type: string
            values:
              $ref: '#/components/schemas/ComponentSettingVariableValuesAsAudienceId'
          type: object
      type: object
      title: AUDIENCE_ID
    CampaignComponentVariableUpdateRequestAsAudienceIdList:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingUpdateRequestBase'
        - properties:
            description:
              $ref: >-
                #/components/schemas/DescriptionInCampaignComponentVariableUpdateRequestAsAudienceIdList
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - AUDIENCE_ID_LIST
              type: string
            values:
              $ref: >-
                #/components/schemas/ComponentSettingVariableValuesAsAudienceIdList
          type: object
      type: object
      title: AUDIENCE_ID_LIST
    CampaignComponentVariableUpdateRequestAsBoolean:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingUpdateRequestBase'
        - properties:
            description:
              $ref: >-
                #/components/schemas/DescriptionInCampaignComponentVariableUpdateRequestAsBoolean
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - BOOLEAN
              type: string
            values:
              $ref: '#/components/schemas/ComponentSettingVariableValuesAsBoolean'
          type: object
      type: object
      title: BOOLEAN
    CampaignComponentVariableUpdateRequestAsBrowserSideJavascript:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingUpdateRequestBase'
        - properties:
            description:
              $ref: >-
                #/components/schemas/DescriptionInCampaignComponentVariableUpdateRequestAsBrowserSideJavascript
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - BROWSER_SIDE_JAVASCRIPT
              type: string
            values:
              $ref: >-
                #/components/schemas/ComponentSettingVariableValuesAsBrowserSideJavascript
          type: object
      type: object
      title: BROWSER_SIDE_JAVASCRIPT
    CampaignComponentVariableUpdateRequestAsClientDomainIdList:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingUpdateRequestBase'
        - properties:
            description:
              $ref: >-
                #/components/schemas/DescriptionInCampaignComponentVariableUpdateRequestAsClientDomainIdList
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - CLIENT_DOMAIN_ID_LIST
              type: string
            values:
              $ref: >-
                #/components/schemas/ComponentSettingVariableValuesAsClientDomainIdList
          type: object
      type: object
      title: CLIENT_DOMAIN_ID_LIST
    CampaignComponentVariableUpdateRequestAsClientKey:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingUpdateRequestBase'
        - properties:
            description:
              $ref: >-
                #/components/schemas/DescriptionInCampaignComponentVariableUpdateRequestAsClientKey
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - CLIENT_KEY
              type: string
            values:
              $ref: '#/components/schemas/ComponentSettingVariableValuesAsClientKey'
          type: object
      type: object
      title: CLIENT_KEY
    CampaignComponentClientKeyFlowVariableUpdateRequest:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingUpdateRequestBase'
        - properties:
            authorization_url:
              type: string
            client_secret_key_id:
              type: string
            description:
              $ref: >-
                #/components/schemas/DescriptionInCampaignComponentClientKeyFlowVariableUpdateRequest
            display_name:
              nullable: true
              type: string
            redirect_url:
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - CLIENT_KEY_FLOW
              type: string
            values:
              $ref: '#/components/schemas/ComponentSettingVariableValues'
          type: object
      required:
        - type
      type: object
      title: CLIENT_KEY_FLOW
    CampaignComponentVariableUpdateRequestAsColor:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingUpdateRequestBase'
        - properties:
            description:
              $ref: >-
                #/components/schemas/DescriptionInCampaignComponentVariableUpdateRequestAsColor
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - COLOR
              type: string
            values:
              $ref: '#/components/schemas/ComponentSettingVariableValuesAsColor'
          type: object
      type: object
      title: COLOR
    CampaignComponentComponentIdVariableUpdateRequest:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingUpdateRequestBase'
        - properties:
            description:
              $ref: >-
                #/components/schemas/DescriptionInCampaignComponentComponentIdVariableUpdateRequest
            display_name:
              nullable: true
              type: string
            filter:
              $ref: '#/components/schemas/ComponentIdFilterUpdateRequest'
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - COMPONENT_ID
              type: string
            values:
              $ref: '#/components/schemas/ComponentSettingVariableValues'
          type: object
      required:
        - type
      type: object
      title: COMPONENT_ID
    CampaignComponentComponentSettingLookupVariableUpdateRequest:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingUpdateRequestBase'
        - properties:
            capture_settings:
              items:
                type: string
              type: array
            captured_setting_values_description:
              $ref: >-
                #/components/schemas/CapturedSettingValuesDescriptionInCampaignComponentComponentSettingLookupVariableUpdateRequest
            description:
              $ref: >-
                #/components/schemas/DescriptionInCampaignComponentComponentSettingLookupVariableUpdateRequest
            display_name:
              nullable: true
              type: string
            filters:
              items:
                $ref: '#/components/schemas/SettingFilterUpdateRequest'
              type: array
            matching_filters:
              items:
                $ref: '#/components/schemas/SettingFilterUpdateRequest'
              type: array
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - COMPONENT_SETTING_LOOKUP
              type: string
            values:
              $ref: '#/components/schemas/ComponentSettingVariableValues'
          type: object
      required:
        - type
      type: object
      title: COMPONENT_SETTING_LOOKUP
    CampaignComponentVariableUpdateRequestAsCss:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingUpdateRequestBase'
        - properties:
            description:
              $ref: >-
                #/components/schemas/DescriptionInCampaignComponentVariableUpdateRequestAsCss
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - CSS
              type: string
            values:
              $ref: '#/components/schemas/ComponentSettingVariableValuesAsCss'
          type: object
      type: object
      title: CSS
    CampaignComponentVariableUpdateRequestAsDelay:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingUpdateRequestBase'
        - properties:
            description:
              $ref: >-
                #/components/schemas/DescriptionInCampaignComponentVariableUpdateRequestAsDelay
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - DELAY
              type: string
            values:
              $ref: '#/components/schemas/ComponentSettingVariableValuesAsDelay'
          type: object
      type: object
      title: DELAY
    CampaignComponentVariableUpdateRequestAsDelayList:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingUpdateRequestBase'
        - properties:
            description:
              $ref: >-
                #/components/schemas/DescriptionInCampaignComponentVariableUpdateRequestAsDelayList
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - DELAY_LIST
              type: string
            values:
              $ref: '#/components/schemas/ComponentSettingVariableValuesAsDelayList'
          type: object
      type: object
      title: DELAY_LIST
    CampaignComponentEnumVariableUpdateRequest:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingUpdateRequestBase'
        - properties:
            allowed_values:
              items:
                type: string
              type: array
            description:
              $ref: >-
                #/components/schemas/DescriptionInCampaignComponentEnumVariableUpdateRequest
            display_name:
              nullable: true
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - ENUM
              type: string
            values:
              $ref: '#/components/schemas/ComponentSettingVariableValues'
          type: object
      required:
        - type
      type: object
      title: ENUM
    CampaignComponentEnumListVariableUpdateRequest:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingUpdateRequestBase'
        - properties:
            allowed_values:
              items:
                type: string
              type: array
            description:
              $ref: >-
                #/components/schemas/DescriptionInCampaignComponentEnumListVariableUpdateRequest
            display_name:
              nullable: true
              type: string
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - ENUM_LIST
              type: string
            values:
              $ref: '#/components/schemas/ComponentSettingVariableValues'
          type: object
      required:
        - type
      type: object
      title: ENUM_LIST
    CampaignComponentVariableUpdateRequestAsExtoleClientKey:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingUpdateRequestBase'
        - properties:
            description:
              $ref: >-
                #/components/schemas/DescriptionInCampaignComponentVariableUpdateRequestAsExtoleClientKey
            source:
              enum:
                - INHERITED
                - LOCAL
                - PARAMETER
              type: string
            type:
              enum:
                - EXTOLE_CLIENT_KEY
              type: string
            values:
              $ref: >-
                #/components/schemas/ComponentSettingVariableValuesAsExtoleClientKey
          type: object
      type: object
      title: EXTOLE_CLIENT_KEY
    CampaignComponentVariableUpdateRequestAsFont:
      allOf:
        - $ref: '#/components/schemas/CampaignComponentSettingUpdateRequestBase'
        - properties:
            description:
              $ref: >-
                #/components/schemas/DescriptionInCampaignComponentVariableUpdateRequestAsFont
            source:
              enum:
                - INHERITED
[...]
